# Uses of Class
org.codehaus.janino.IClass.IInvocable

Packages that use IClass.IInvocable
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of IClass.IInvocable in org.codehaus.janino

Subclasses of IClass.IInvocable in org.codehaus.janino
Modifier and Type
Class
Description
`class`
`IClass.IConstructor`
Representation of a constructor of an `IClass`.
`class`
`IClass.IMethod`
Representation of a method in an `IClass`.
Methods in org.codehaus.janino that return IClass.IInvocable
Modifier and Type
Method
Description
`IClass.IInvocable`
UnitCompiler.`findMostSpecificIInvocable(Java.Locatable locatable, IClass.IInvocable[] iInvocables, IClass[] argumentTypes, boolean boxingPermitted, Java.Scope contextScope)`
Determines the applicable invocables and choose the most specific invocable.
Methods in org.codehaus.janino with parameters of type IClass.IInvocable
Modifier and Type
Method
Description
`IClass.IInvocable`
UnitCompiler.`findMostSpecificIInvocable(Java.Locatable locatable, IClass.IInvocable[] iInvocables, IClass[] argumentTypes, boolean boxingPermitted, Java.Scope contextScope)`
Determines the applicable invocables and choose the most specific invocable.
`boolean`
IClass.IInvocable.`isLessSpecificThan(IClass.IInvocable that)`
`boolean`
IClass.IMethod.`isLessSpecificThan(IClass.IInvocable that)`
`boolean`
IClass.IInvocable.`isMoreSpecificThan(IClass.IInvocable that)`
`boolean`
IClass.IMethod.`isMoreSpecificThan(IClass.IInvocable that)`